IBM Support

System Requirements for the ClearCase Remote Client

Preventive Service Planning


Abstract

This document explains which versions of Eclipse are compatible for use with IBM Rational ClearCase Remote Client (CCRC), both the plug-in version and the rich client platform (RCP) for Microsoft Windows, Linux and UNIX.

Content

Note: System requirements details for version 8.0 have been incorporated into System Requirements for ClearCase 8.0.






IMPORTANT:

CCRC 7.0 and 7.0.1 updates are not included in the ClearCase update cycle. This means that the ClearCase 7.0 and 7.0.1 iFix and Fix Packs do not contain CCRC updates. The CCRC updates can only be obtained from the CCRC Client Update Site.

For information about updating CCRC 7.1 clients refer to technote 1382230 Updating a CCRC 7.1 client to a newer patch level.


Note: The initial 7.x version of the CCRC client is labeled 7.0.1. This version does not equate to the ClearCase 7.0.1 release version.



CCRC Plug-In
CCRC Plug-In Versions 7.1.0, 7.1.1 and 7.1.2 (Windows, Linux, UNIX and Mac OSX)
CCRC Server Version7.1.07.1.0.2 7.1.17.1.1.1
or
7.1.1.2
or
7.1.1.3
or
7.1.1.4
or
7.1.1.5
or
7.1.1.6
or
7.1.1.7
or
7.1.1.8
or
7.1.1.9
7.1.2
or
7.1.2.1
or 7.1.2.2
or 7.1.2.3
or
7.1.2.4
or 7.1.2.5
or
7.1.2.6
or
7.1.2.7
or
7.1.2.8
or
7.1.2.9
or
7.1.2.10
Compatible CCRC Client Version7.1.0.07.1.0.17.1.0.27.1.17.1.1.x
(Server version must be greater or equal to client version)
7.1.1.x
or
7.1.2.x
(Server version must be greater or equal to client version)
Eclipse 3.0.x NoNoNoNoNoNo
Eclipse 3.1.x NoNoNoNoNoNo
Eclipse 3.2.x Yes
(3.2.1 and 3.2.2)
Eclipse 3.3Yes
(3.3.0, 3.3.1.1, 3.3.2)
Eclipse 3.4

YesYesYesYesYesYes
Eclipse 3.5

NoNoNoYesYesYes
Eclipse 3.6

NoNoNoNo(Yes for 7.1.1.3 or later only)Yes
Eclipse 3.6.1

NoNoNoNo(Yes for 7.1.1.4 or later only) (Yes for 7.1.2.1 or later only)
Eclipse 3.6.2

NoNoNoNo(Yes for 7.1.1.5 or later only)(Yes for 7.1.2.2 or later only)
Eclipse 3.7.1

NoNoNoNo(Yes for 7.1.1.8 or later only)(Yes for 7.1.2.5 or later only)
Eclipse 3.8

NoNoNoNoNo(Yes for 7.1.2.10 or later only)
Eclipse 4.2

NoNoNoNoNo(Yes for 7.1.2.9 or later only)
JVM

IBM Java 1.5 & 1.6
Sun Java 1.5 & 1.6

HardwareOSRevision


x86-32Windows 2000 ProfessionalSP4NoNoNoNoNoNo
WinXP ProfessionalSP2YesYesYesYesYesYes
SP3YesYesYesYesYesYes
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1YesYesYesYesYesYes
R2YesYesYesYesYesYes
SP2YesYesYesYesYesYes
Windows Vista
Business, Enterprise & Ultimate Edition
InitialYesYesYesYesYesYes
SP1YesYesYesYesYesYes
SP2NoNoNoYesYesYes
Windows Server 2008 Standard, Enterprise, DataCenter EditionSP2NoNoNoYesYesYes
Windows 7 Professional, Enterprise,
Ultimate
InitialNoNoNoYesYesYes
SP1NoNoNoNoYes with 7.1.1.6 or later only Yes with 7.1.2.3 or later only
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

NoNoNoNoNoNo
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2, 3, 4YesYesYesYesYesYes
Update 5, 6YesYesYesYesYesYes
Update 8NoNoNoYesYesYes
Update 9NoNoNoNoYes with 7.1.1.6 or later onlyYes with 7.1.2.3 or later only
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)
Base - Update 2YesYesYesYesYesYes
Update 3, 4, 5NoNoNoYesYesYes
Update 6NoNoNoNoYes
With 7.1.1.5 or later only
Yes
With 7.1.2.2 or later only
Update 7 NoNoNoNoYes
With 7.1.1.7 or later only
Yes
With 7.1.2.4 or later only
Update 8 No NoNoNoNoYes
With 7.1.2.7 or later only
Update 9NoNoNoNoNoYes
With 7.1.2.10 or later only
Red Hat Enterprise Linux AS, ES, WS 6.0
Red Hat Desktop 6.0 (Motif & GTK)
BaseNoNoNoNoNoYes
With 7.1.2.2 or later
and
Eclipse 3.6.2
Update 1NoNoNoNoNoYes
With 7.1.2.4 or later
and
Eclipse 3.6.2
Update 2NoNoNoNoNoYes
With 7.1.2.6 or later
and
Eclipse 3.6.2
Update 3NoNoNoNoNoYes
With 7.1.2.8 or later
SUSE Linux Enterprise Server 8 (Motif & GTK)
NoNoNoNoNoNo
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
NoNoNoNoNoNo
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
InitialYesYesYesYesYesYes
SP1YesYesYesYesYesYes
SP2YesYesYesYesYesYes
SP3NoNoNoNoYesYes
SP4NoNoNoNoYes with 7.1.1.6 or later onlyYes with 7.1.2.3 or later only
SUSE Linux Enterprise Server 11BaseNoNoNoYesYesYes
SP1NoNoNoNoNoYes
With 7.1.2.1 or later only
SP2NoNoNoNoNoYes
With 7.1.2.7 or later only
Ubuntu 8.04 LTS Desktop
Yes [3]
Eclipse 3.3 or 3.4
Yes [3]
Eclipse 3.3 or 3.4 or 3.5
Yes [3]
Eclipse 3.3 or 3.4 or 3.5
Ubuntu 10.04 LTS Desktop
&
Ubuntu 10.04 LTS Server

NoNoNoNoNoYes [3][4]
for 7.1.2.1
Eclipse 3.6 or later
Solaris 10 (GTK)
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

AppleMac OSX 10.4 (Tiger)Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Mac OSX 10.5 (Leopard)Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Mac OSX 10.6 (Snow Leopard)NoNoNoNoNo Yes
Eclipse 3.3 or later
x86-64Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Windows Server 2008 R2 Standard, Enterprise & DataCenter editionInitialNoNoNoNoYes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
SP1NoNoNoNoYes
Eclipse 3.3 or later
&
Yes with 7.1.1.6 or later only
Yes
Eclipse 3.3 or later
&
Yes with 7.1.2.3 or later only
Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Linux RHEL5
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Ubuntu 8.04 LTS Desktop
Yes [3]
Eclipse 3.3 or 3.4
Yes [3]
Eclipse 3.3 or 3.4 or 3.5
Yes [3]
Eclipse 3.3 or 3.4 or 3.5
Ubuntu 10.04 LTS Desktop
&
Ubuntu 10.04 LTS Server

NoNoNoNoNoYes [3][4]
for 7.1.2.1
Eclipse 3.6 or later
Solaris 10 (GTK)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later
SPARCSolaris 8 (Motif)
No [2]No [2]No [2]No [2]No [2]No [2]
Solaris 9 (Motif)
NoNoNoNoNoNo
Solaris 10
(GTK)

YesYesYesYesYesYes
PA-RISCHP-UX 11i v1 (11.11) (Motif)
NoNoNoNoNoNo
HP-UX 11i v2 (11.23) (Motif)
Yes
Eclipse 3.2 only
Yes
Eclipse 3.2 only
Yes
Eclipse 3.2 only
HP-UX 11i v3 (11.31) (Motif)
Yes
Eclipse 3.23 only
Yes
Eclipse 3.23 only
Yes
Eclipse 3.23 only
Itanium
Itanium 2
HP-UX 11i v2 (11.23) (Motif)
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only
HP-UX 11i v3 (11.31) (Motif)
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only
pSeries
iSeries
AIX 5L 5.2ML5 or greaterNoNoNoNoNoNo
AIX 5L 5.3ML1 or greaterNoYesYesYesYesYes
AIX 5L 5.4
NoNoNoNoNoNo
AIX 6L 6.1
NoYesYesYesYesYes
AIX 7 7.1
NoNoNoNoNoYes
with 7.1.2.2 or later only[5]



CCRC Plug-In Version 7.0.1.x (Windows, Linux and UNIX)
CCRC Plug-In Version 7.0.1 (Windows, Linux, UNIX and Mac OSX)
CCRC Server Version7.0.1
Compatible CCRC Client Version7.0.1.
D061004
(7.0.1 Initial)
7.0.1.
D070930
or 7.0.1.

D071219


or 7.0.1.

D080229


or
7.0.1.
D080604
7.0.1.
D080813
or 7.0.1.

D081120


or7.0.1.

D0900225


or
7.0.1.
D090527
7.0.1.
D090713
or
7.0.1.
D090928
or
7.0.1.
D091111
or
7.0.1.
D100423
or
7.0.1.
D100609
or
7.0.1.
D101208
Eclipse 3.0.x YesYesYesYes
Eclipse 3.1.x YesYesYesYes
Eclipse 3.2.x YesYesYesYes
Eclipse 3.3NoYesYesYes
Eclipse 3.4

NoNoYes[1]Yes[1]
Eclipse 3.5

NoNoNoYes
Eclipse 3.6

NoNoNoNo
JVMIBM 1.4.2 with all Eclipse versions
IBM 5.0 with Eclipse 3.1.x, 3.2.x and 3.3.x
Sun Java 1.5
Java 1.6 (7.0.1.D0801120 and Later)
HardwareOSRevision
x86-32Windows 2000 ProfessionalSP4YesYesYesYes
WinXP ProfessionalSP2YesYesYesYes
SP3YesYesYesYes
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1YesYesYesYes
R2NoYesYesYes
SP2NoYesYesYes
Windows Vista
Business, Enterprise & Ultimate Edition
InitialYes
Eclipse 3.2.2 & JVM 1.4.2 SR7 and later
SP1



SP2NoNoNoNo
Windows Server 2008 Standard, Enterprise, DataCenter EditionSP2
NoNoNo
Windows 7 Professional, Enterprise,
Ultimate
InitialNoNoNoNo
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

YesYesYesYes
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2, 3, 4YesYesYesYes
Update 5, 6NoYesYesYes
Update 8NoNoNoNo
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)
Base - Update 2NoYesYesYes
Update 3, 4NoNoNoNo
SUSE Linux Enterprise Server 8 (Motif & GTK)
NoNoNoNo
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
YesYesYesYes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
InitialYesYesYesYes
SP1NoYesYesYes
SP2NoNoNoNo
SP3NoNoNoNo
SUSE Linux Enterprise Server 11BaseNoNoNoNo
Ubuntu 8.04 LTS Desktop

Solaris 10 (GTK)
Yes
Eclipse 3.2 Only

AppleMac OSX 10.4 (Tiger)No
Mac OSX 10.5 (Leopard)No


x86-64Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoYes
Eclipse 3.3 only
Windows Server 2008 R2 Standard, Enterprise & DataCenter edition
NoNo
Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoYes
Eclipse 3.3 only
Linux RHEL5

Ubuntu 8.04 LTS Desktop

Solaris 10 (GTK)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.2 and later only
SPARCSolaris 8 (Motif)
Eclipse 3.0.x & 3.1.x only
Solaris 9 (Motif)
YesYesYesYes
Solaris 10
(GTK)

YesYesYesYes
PA-RISCHP-UX 11i v1 (11.11) (Motif)
YesYesYesYes
HP-UX 11i v2 (11.23) (Motif)
YesYesYesYes
HP-UX 11i v3 (11.31) (Motif)
NoNoNoNo
Itanium
Itanium 2
HP-UX 11i v2 (11.23) (Motif)
Yes
Eclipse 3.2 and later only
HP-UX 11i v3 (11.31) (Motif)
NoYes
Eclipse 3.3 only
pSeries
iSeries
AIX 5L 5.2ML5 or greaterYesYesYesYes
AIX 5L 5.3ML1 or greaterYesYesYesYes
AIX 5L 5.4
NoNoNoNo
AIX 5L 6.1
NoNoNoNo


Footnote 1: Refer to technote 1327758 Guidelines to install ClearCase Remote Client for Eclipse in Eclipse 3.4 with Equinox Update/Installer(P2)

Footnote 2: Refer to technote 1296799 7.1 Release Support Discontinuance Announcements for IBM Rational Products

Footnote 3: The ClearCase External Diff/Merge tools are not supported. Users must use Eclipse or the new UTF based Diff/Merge tools for the Ubuntu platform.

Footnote 4: Ubuntu configuration requirements documented in technote 1443159 must be met.

Footnote 5: Refer to Technote 1438774 Installation Manager fails to start without warning for information about a known installation issue.





CCRC Plug-In Version 2003.06.14 and 7.0.0.x (Windows, Linux and UNIX)



CCRC Rich Client Platform (RCP)

CCRC RCP version 7.1.0, 7.1.1 and 7.1.2
(Windows, Linux & UNIX)
CCRC Client Version7.1.0.07.1.0.17.1.0.27.1.1.07.1.1.1
or
7.1.1.2
or
7.1.1.3
or
7.1.1.4
or
7.1.1.5
or
7.1.1.6
or
7.1.1.7
or
7.1.1.8
or
7.1.1.9
7.1.2
or
7.1.2.1
or
7.1.2.2
or
7.1.2.3
or
7.1.2.4
or
7.1.2.5
or
7.1.2.6
or
7.1.2.7
or
7.1.2.8
or
7.1.2.9
or
7.1.2.10
Compatible CCRC Server Version7.1.07.1.0.27.1.1Must be greater or equal to client versionMust be greater or equal to client version
IBM JVM Version that is supplied to clients by installing from CCRC serversJ2RE 1.5.0 IBM J9 2.3
Eclipse Versions for clients installed with CCRCEclipse 3.3.1.R33x_r20070802
HardwareOSRevision


x86-32Windows 2000 ProfessionalSP4NoNoNoNoNoNo
WinXP ProfessionalSP2YesYesYesYesYesYes
SP3YesYesYesYesYesYes
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1YesYesYesYesYesYes
R2YesYesYesYesYesYes
SP2YesYesYesYesYesYes
Windows Vista
Business, Enterprise & Ultimate Edition
InitialYesYesYesYesYesYes
SP1YesYesYesYesYesYes
SP2NoNoNoYes Yes Yes
Windows 7 Professional, Enterprise,
Ultimate
InitialNoNoNoYes[1]Yes[1]Yes[1]
SP1NoNoNoNoYes with 7.1.1.6 or later only[1]Yes with 7.1.2.3 or later only[1]
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

NoNoNoNoNoNo
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2
Update 3
Update 4
YesYesYesYesYesYes
Update 8NoNoNoYesYesYes
Update 9NoNoNoNoYes with 7.1.1.6 or later onlyYes with 7.1.2.3 or later only
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 5
Update 6
YesYesYesYesYesYes
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)

YesYesYesYesYesYes
Update 6NoNoNoNoYes
With 7.1.1.5 or later only
Yes
With 7.1.2.2 or later only
Update 7NoNoNoNoYes
With 7.1.1.7 or later only
Yes
With 7.1.2.4 or later only
Update 8NoNoNoNoNoYes
With 7.1.2.7 or later only
Update 9NoNoNoNoNoYes
With 7.1.2.10 or later only
SUSE Linux Enterprise Server 8 (Motif & GTK)
NoNoNoNoNoNo
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
YesYesYesYesYesYes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
InitialYesYesYesYesYesYes
SP1YesYesYesYesYesYes
SP2YesYesYesYesYesYes
SP3NoNoNoNoYesYes
SP4NoNoNoNoYes with 7.1.1.6 or later onlyYes with 7.1.2.3 or later only
x86-64Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoNoNoNoNoNo
Windows Server 2008 R2 Standard, Enterprise & DataCenter EditionInitialNoNoNoNoYesYes
SP1NoNoNoNoYes with 7.1.1.6 or later onlyYes with 7.1.2.3 or later only
Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoNoNoNoNoNo
SPARCSolaris 9
YesYesYesYesYesYes
Solaris 10
YesYesYesYesYesYes
iSeries
pSeries
AIX 5L 5.3ML1 or greaterYesYesYesYesYesYes
AIX 6L 6.1
YesYesYesYesYesYes
AIX 7 7.1
NoNoNoNoNoYes
with 7.1.2.2 or later only[2]

CCRC RCP Version 7.0.1.x (Windows, Linux and UNIX)

CCRC RCP version 7.0.1 (Windows, Linux & UNIX)
CCRC Server Version7.0.1
Compatible CCRC Client Version7.0.1.
D061004
(7.0.1 Initial)
7.0.1.
D070930
7.0.1.
D071219
7.0.1.
D080229
7.0.1.
D080604
7.0.1.
D080813
or
7.0.1.
D081120
or
7.0.1.
D0900225
or
7.0.1.
D090527
7.0.1.
D090713
or
7.0.1.
D090928
or
7.0.1.
D091111
or
7.0.1.
D100423
or
7.0.1.
D100609
or
7.0.1.
D101208
IBM JVM Version that is supplied to clients by installing from CCRC serversJ2RE 1.4.2 IBM J9 2.2 w/ SR7
Eclipse Versions for clients installed with CCRC Eclipse 3.2.2.M20070119
HardwareOSRevision
x86-32Windows 2000 ProfessionalSP4YesYesYesYesYesYesYes
WinXP ProfessionalSP1, SP2,
SP3
YesYesYesYesYesYesYes
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1YesYesYesYesYesYesYes
R2YesYesYesYesYesYesYes
SP2NoYesYesYesYesYesYes
Windows Vista
Business, Enterprise & Ultimate Edition
InitialYesYesYesYesYesYesYes









Windows 7 Professional, Enterprise,
Ultimate
InitialNoNoNoNoNoNoNo
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

YesYesYesYesYesYesYes
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2
Update 3
Update 4
YesYesYesYesYesYesYes
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 5
Update 6
NoYesYesYesYesYesYes
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)

NoYesYesYesYesYesYes
SUSE Linux Enterprise Server 8 (Motif & GTK)
NoNoNoNoNoNoNo
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
YesYesYesYesYesYesYes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
InitialYesYesYesYesYesYesYes
SP1NoYesYesYesYesYesYes
SP2NoNoNoNoNoNoNo
SP3NoNoNoNoNoNoNo
x86-64Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoNoNoNoNoNoNo
Windows Server 2008 R2 Standard, Enterprise & DataCenter Edition
NoNoNoNoNoNoNo
Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

NoNoNoNoNoNoNo
SPARCSolaris 9
NoNoNoNoNoNoNo
Solaris 10
NoNoNoNoNoNoNo
iSeries
pSeries
AIX 5L 5.3ML1 or greaterNoNoNoNoNoNoNo
AIX 5L 6.1
NoNoNoNoNoNoNo

Footnote 1: The Eclipse version bundled with the CCRC RCP, Eclipse 3.3.1.1, does not officially support Windows 7.

We are working to provide a bundled Eclipse version that does support Windows 7 in a future release. In the interim, we will support CCRC RCP to the extent possible given the constraints of Eclipse 3.3.1.1 support. That request is being tracked in RFE RATLC01307250.

Footnote 2: Refer to Technote 1438774 Installation Manager fails to start without warning for information about a known installation issue.


CCRC RCP version 2003.06.14 and 7.0.0.x (Windows & Linux)





Change History (click to expand)

Internal Use Only

Updating for 2013A


Updated for 2012B per Lignesh Patel, Padmaja Kunapareddy and Georgiy Petrox

Updated for 2012A per Don Warren - Note that RHEL 6.2 is not supported in 7.1.1 (only added for 7.1.2.6)

Clarified Mac OSX support not available with pre-7.1. -denise Feb 9, 2012


RCP Footnote 1 modified per WI https://jazzop23.rtp.raleigh.ibm.com:9443/jazz/web/projects/CCM#action=com.ibm.team.workitem.viewWorkItem&id=24620


2011C

Note: RCP: RHEL 6 not supported due to old eclipse version, thus, we didn't add RHEL 6.1 for this bundle.


Note: SUSE 11 not added to RCP table (IDE support only) per the following feedback from Don Warren Sept 1, 2011:
I installed CCRC 7.1.2.4 standalone on qvml099 - SLES 11

I'm seeing problems drawing local toolbar buttons.

For the pending changes view, on Windows (this is 8.0 but nevertheless there should be buttons in 7.1.2.4)


But on SLES11 (CCRC 7.1.2.4):


This is similar to what we see on RHEL 6 (work item 18819) and Ubuntu (9893) which is why we limited support to IDE.

So we should limit SLES11 support to IDE until 8.0. I think we probably should put an Eclipse version lower limit on SLES11 similar to Ubuntu on RHEL6.

--Don

====================
(DONE) 2011A updates:
The following items still need clarifying. Working with Don Warren to get this updated:
==
Comments from Don:
- Yes, please publish what we have so far.
- RHEL 5.6 will stay as is -- i.e. we'll leave the cell blank for ccrc until a customer asks for specifics
----> update: we will claim support based on 5.5 test results.
-----> will just leave the supported updates blank (rcp table). If this is unacceptable, then add work items for 2011B for appropriate validation.
- RHEL 6 -
---->update: supported
- AIX 7.1
---> update: supported for rcp/plugin in 7.1.2.2 only (not 7.1.1.5)

Mar 29, 2011
================
Note: Don Warren checking into why this technote shows no support for win 2000 SP4 for 7.1.x but the main sysreq technote does(fixed-added note to cc7.1.x sysreq tn). He is also working on ccrc disk space requirements for https://www-304.ibm.com/support/docview.wss?uid=swg27014067
(-denise Mar 17, 2011)
DCF - Update Document #1224586
Submitted by: Oscar Wallberg-Amilon on 03/09/2011 03:39 AM
Technote Owner: Denise M McKinnon
Segment: Software Development
Product: Rational ClearCase
Component: Integration: Eclipse plug-in
Required fields are marked with an asterisk (*) and must be filled in to complete the form.

Title *System Requirements for the ClearCase Remote Client

Please input your comments * :

Do we have any information about the supported version for CCRC versions 7.0.0.2 - 7.0.0.9?
In the Technote now we only have information to 7.0.0.1.
=========

========================================================================================================
Updates for 2010D:
Ubuntu RFE: RATLC01322142
per Don Warren:
    ===
    For 7.1.2.1 CCRC plugin (IDE) version, we are adding support for Ubuntu 10.04 LTS Desktop. Eclipse 3.6.0 and above is supported.

    I see that we currently have a row for Ubuntu "8.0.4" -- that version should be 8.04.

    ===
    In addition to Ubuntu 10.04 LTS Workstation, CCRC will also support 10.04 LTS Server, provided that the configuration requirements described in Technote 1443159 are met.

    Also, for 7.1.1.4 and 7.1.2.1, CCRC IDE is supporting Eclipse 3.6.1.
    Thanks,
    Don


Adding the following for reference per Fred Bickford. Sep 2, 2010:

Baltic MR1 Client Update Schedule

FixInVersion
FixInIteration
Client Version
Release
Baseline
Patch 2007CCU017.0.1.D0709309/27/07D070913
Patch 2007DCU027.0.1.D07121912/19/07D071113
Patch 2008ACU037.0.1.D0802293/12/08D080123
Patch 2008BCU047.0.1.D0806045/28/08D080509
Patch 2008CCU057.0.1.D0808138/14/08D080724
Patch 2008DCU067.0.1.D08112011/21/08D081027A
Patch 2009ACU077.0.1.D0902252/24/09D090112
Patch 2009BCU087.0.1.D0905275/8/09D090414
Patch 2009CCU097.0.1.D090713 7/14/09D090712
Patch 2009DCU107.0.1.D090928 10/16/09D091008A

CU117.0.1.D091111 11/11/09D091105
Patch 2009D.1

 no release 
Patch 2010ACU127.0.1.D100414 3/24/10 (removed 3/29/10) D100223

CU137.0.1.D100423 4/28/10D100426
Patch 2010B

no release 
Patch 2010CCU147.0.1.D100609 8/6/10D100603
Patch 2010DCU157.0.1.D10120812/9/10D101104
Patch 2011ACU167.0.1.D110324TBD - Est 3/24/11





We can put Eclipse 3.3 or later for Mac OS X 10.6 for 7.1.2
-Mike
===
Working with Mike to add 7.1.2 details.

What about Mac OS X 10.6 (Snow Leopard)?
BACKUP (pre-7.1.2)

Plug-in table
CCRC Plug-In Version 7.0.1, 7.1.0 and 7.1.1 (Windows, Linux, UNIX and Mac OSX)
CCRC Server Version
7.1.0
7.1.0.2 *Requires client 7.1.0.2.x
7.1.1
*Requires client 7.1.1.x
7.1.1.1
or
7.1.1.2
or
7.1.1.3
*Requires client 7.1.1 or later
7.1.2
Compatible CCRC Client Version
7.0.1.
D061004
(7.0.1 Initial)
7.0.1.
D070930
or
7.0.1.
D071219
or
7.0.1.
D080229
or
7.0.1.
D080604
7.0.1.
D080813
or
7.0.1.
D081120
or
7.0.1.
D0900225
or
7.0.1.
D090527
7.1.0.0
7.1.0.1
7.1.0.2
7.1.1
7.1.1
(Server version must be greater or equal to client version)

Eclipse 3.0.x
Yes
Yes
Yes
Yes
No
No
No
No
No

Eclipse 3.1.x
Yes
Yes
Yes
Yes
No
No
No
No
No

Eclipse 3.2.x
Yes
Yes
Yes
Yes
Yes
(3.2.1 and 3.2.2)

Eclipse 3.3
No
Yes
Yes
Yes
Yes
(3.3.0, 3.3.1.1, 3.3.2)

Eclipse 3.4

No
No
Yes[1]
Yes[1]
Yes
Yes
Yes
Yes
Yes

Eclipse 3.5

No
No
No
Yes
No
No
No
Yes
Yes

Eclipse 3.6

No
No
No
No
No
No
No
No
(Yes for 7.1.1.3 only)

JVM
IBM 1.4.2 with all Eclipse versions
IBM 5.0 with Eclipse 3.1.x, 3.2.x and 3.3.x
Sun Java 1.5
Java 1.6 (7.0.1.D0801120 and Later)
IBM Java 1.5 & 1.6
Sun Java 1.5 & 1.6

Hardware
OS
Revision




x86-32
Windows 2000 ProfessionalSP4
Yes
Yes
Yes
Yes
No
No
No
No
No

WinXP ProfessionalSP1, SP2, SP3
Yes
Yes
Yes
Yes
Yes(SP2&3)
Yes(SP2&3)
Yes(SP2&3)
Yes(SP2&3)
Yes(SP2&3)













Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

R2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Windows Vista
Business, Enterprise & Ultimate Edition
Initial
Yes
Eclipse 3.2.2 & JVM 1.4.2 SR7 and later
No
No
No
No
No

SP1



Yes
Yes
Yes
Yes
Yes

SP2
No
No
No
No
No
No
No
Yes
Yes

Windows Server 2008 Standard, Enterprise, DataCenter Edition
SP2
No
No
No
No
No
No
Yes
Yes

Windows 7 Professional, Enterprise,
Ultimate
Initial
No
No
No
No
No
No
No
Yes
Yes

Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

Yes
Yes
Yes
Yes
No
No
No
No
No

Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2, 3, 4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Update 5, 6
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Update 8
No
No
No
No
No
No
No
Yes
Yes

Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)
Base - Update 2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Update 3, 4
No
No
No
No
No
No
No
Yes
Yes

SUSE Linux Enterprise Server 8 (Motif & GTK)
No
No
No
No
No
No
No
No
No

SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
Yes
Yes
Yes
Yes
No
No
No
No
No

SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP1
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP2
No
No
No
No
Yes
Yes
Yes
Yes
Yes

SP3
No
No
No
No
No
No
No
No
Yes

SUSE Linux Enterprise Server 11Base
No
No
No
No
No
No
No
Yes
Yes

Ubuntu 8.04 LTS Desktop

Yes [3]
Eclipse 3.3 or 3.4
Yes [3]
Eclipse 3.3 or 3.4 or 3.5

Solaris 10 (GTK)
Yes
Eclipse 3.2 Only
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later


AppleMac OSX 10.4 (Tiger)
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

Mac OSX 10.5 (Leopard)
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later






x86-64
Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

Windows Server 2008 R2 Standard, Enterprise & DataCenter edition
No
No
No
No
Yes
Eclipse 3.3 or later

Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

Linux RHEL5

Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

Ubuntu 8.04 LTS Desktop

Yes [3]
Eclipse 3.3 or 3.4
Yes [3]
Eclipse 3.3 or 3.4 or 3.5

Solaris 10 (GTK)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.2 and later only
Yes
Eclipse 3.3 or later
Yes
Eclipse 3.3 or later

SPARC
Solaris 8 (Motif)
Eclipse 3.0.x & 3.1.x only
No [2]
No [2]
No [2]
No [2]
No [2]

Solaris 9 (Motif)
Yes
Yes
Yes
Yes
No
No
No
No
No

Solaris 10
(GTK)

Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

PA-RISC
HP-UX 11i v1 (11.11) (Motif)
Yes
Yes
Yes
Yes
No
No
No
No
No

HP-UX 11i v2 (11.23) (Motif)
Yes
Yes
Yes
Yes
Yes
Eclipse 3.2 only
Yes
Eclipse 3.2 only

HP-UX 11i v3 (11.31) (Motif)
No
No
No
No
Yes
Eclipse 3.23 only
Yes
Eclipse 3.23 only

Itanium
Itanium 2
HP-UX 11i v2 (11.23) (Motif)
Yes
Eclipse 3.2 and later only
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only

HP-UX 11i v3 (11.31) (Motif)
No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.4 only
Yes
Eclipse 3.4 only

pSeries
iSeries
AIX 5L 5.2ML5 or greater
Yes
Yes
Yes
Yes
No
No
No
No
No

AIX 5L 5.3ML1 or greater
Yes
Yes
Yes
Yes
No
Yes
Yes
Yes
Yes

AIX 5L 5.4
No
No
No
No
No
No
No
No
No

AIX 5L 6.1
No
No
No
No
No
Yes
Yes
Yes
Yes

RCP Table:
CCRC RCP version 7.0.1, 7.1.0 and 7.1.1 (Windows, Linux & UNIX)



CCRC Server Version
7.0.1
7.1.0
7.1.0.2
*Requires client 7.1.0.2.x
7.1.1

*Requires client 7.1.1.x

7.1.1.1
or
7.1.1.2
or
7.1.1.3
*Requires client 7.1.1 or later
7.1.2
Compatible CCRC Client Version
7.0.1.
D061004
(7.0.1 Initial)
7.0.1.
D071219
7.0.1.
D080229
7.0.1.
D080604
7.0.1.
D080813
or
7.0.1.
D081120
or
7.0.1.
D0900225
or
7.0.1.
D090527
7.1.0.0
7.1.0.1
7.1.0.2
7.1.1.0
7.1.1.0

(Server version must be greater or equal to client version)


IBM JVM Version that is supplied to clients by installing from CCRC servers
J2RE 1.4.2 IBM J9 2.2 w/ SR7
J2RE 1.5.0 IBM J9 2.3

Eclipse Versions for clients installed with CCRC
Eclipse 3.2.2.M20070119
Eclipse 3.3.1.R33x_r20070802

Hardware
OS
Revision




x86-32
Windows 2000 ProfessionalSP4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
No
No

WinXP ProfessionalSP1, SP2,
SP3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes(SP2 & SP3)
Yes(SP2 & SP3)
Yes(SP2 & SP3)
Yes(SP2 & SP3)
Yes(SP2 & SP3)

Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

R2
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Windows Vista
Business, Enterprise & Ultimate Edition
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes (SP1)
Yes (SP1)
Yes (SP1)
Yes (SP1 & SP2)
Yes (SP1 & SP2)
















Windows 7 Professional, Enterprise,
Ultimate
Initial
No
No
No
No
No
No
No
No
No
No
Yes[1]
Yes[1]

Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
No
No

Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2
Update 3
Update 4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 5
Update 6
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)

No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SUSE Linux Enterprise Server 8 (Motif & GTK)
No
No
No
No
No
No
No
No
No
No
No
No

SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP1
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes

SP2
No
No
No
No
No
No
No
Yes
Yes
Yes
Yes
Yes

SP3
No
No
No
No
No
No
No
No
No
No
No
Yes

x86-64
Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
No
No
No
No
No
No
No
No
No
No
No

Windows Server 2008 R2 Standard, Enterprise & DataCenter Edition
No
No
No
No
No
No
No
No
No
No
No
Yes

Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
No
No
No
No
No
No
No
No
No
No
No

SPARCSolaris 9
No
No
No
No
No
No
No
Yes
Yes
Yes
Yes
Yes

Solaris 10
No
No
No
No
No
No
No
Yes
Yes
Yes
Yes
Yes

iSeries
pSeries
AIX 5L 5.3ML1 or greater
No
No
No
No
No
No
No
Yes
Yes
Yes
Yes
Yes

AIX 5L 6.1
No
No
No
No
No
No
No
Yes
Yes
Yes
Yes
Yes


=================================================
Please make the following changes to this technote:

1. CCRC is supported on Ubuntu

v7.1.1.x and 7.1.2 CCRC is supported on Ubuntu 7.0.4 LTSc


Other than that, 7.1.2 is identical to 7.1.1.3.
-Mike Nellis Oct 5, 2010
=================================================

DCF - Update Document #1224586
Submitted by: Noritaka Futami on 09/19/2010 10:50 PM
Technote Owner: Denise M McKinnon
Segment: Software Development
Product: Rational ClearCase
Component: Integration: Eclipse plug-in
Required fields are marked with an asterisk (*) and must be filled in to complete the form.

Title *System Requirements for the ClearCase Remote Client

Please input your comments * :

There is some OS SP infromation confusing.

For example, please see CCRC Rich Client Platform below.

- Windows XP Professional :SP1, SP2, SP3
Columen for 7.1.1 shows "Yes (SP2 & SP3)" which means "SP2 and SP3 BUT NOT SP1" (according to another technote 130297).

- Windows Vista : Initial
Columns for 7.1.1 shows "Yes (SP1 & SP2)" which means "SP1 and SP2 AND Initial"(according to another technote 130297). But, it may mislead to "SP1 and SP2 BUT NOT Initial".

To avoid such confusion, it would be better to split rows like WIndows Server 2003s (3 rows for Initaila/SP1, R2 and SP2).

===============================================================


****************************DONE***************************************

- Updated for 7.1.1.2 and 7.1.1.3. -denise Aug 16, 2010

2) Per the following:
Added Eclipse 3.6 row (what are the values).
DCF - Update Document #1224586
Submitted by: Michael R Nellis on 08/05/2010 09:42 AM
Technote Owner: Denise M McKinnon
Segment: Software Development
Product: Rational ClearCase
Component: Integration: Eclipse plug-in
Required fields are marked with an asterisk (*) and must be filled in to complete the form.

Title *System Requirements for the ClearCase Remote Client

Please input your comments * :

Please add CCRC plugin version 7.1.1.2 to the list. and the CCRC plugin version 7.1.1.2 is compatible with Eclipse version 3.6, 3.5, 3.4, 3.3 and 3.2.1.

All of the platform information for 7.1.1.2 is identical to the 7.1.1.1 information.
===
3) Added 7.0.1.D100609 and published "what is new in 7.0.1.D100609" technote.

4) Updated the h/w & s/w requirements technote with the detailshttp://www-01.ibm.com/support/docview.wss?uid=swg27014067#Hardware%20requirements
DCF - Update Document #1224586
Submitted by: Noritaka Futami on 08/12/2010 01:08 AM
Technote Owner: Denise M McKinnon
Segment: Software Development
Product: Rational ClearCase
Component: Integration: Eclipse plug-in
Required fields are marked with an asterisk (*) and must be filled in to complete the form.

Title *System Requirements for the ClearCase Remote Client

Please input your comments * :

Hi,

As for ClearCase server/native client, hardware requirement (CPU, memory size, hard disk size etc) is clearly documented in http://www-01.ibm.com/support/docview.wss?rs=984&uid=swg27014067.

However, we do not have the similar information about CCRC. Could you please update this technote with such information?

I believe the information below mentioned in escalation RATLC01303878 can be added. Actually, the CAG engineer mentioned that he would suggest the same request to this technote but it seems his suggestion was not accepted at that time.....

**** CCRC 7.1.x

Disk Space:
I see the IM repository is about 250 Mb
  The actual folder it installs into is less than 70 Mb
The disk space to actually use it is ??? Gb - how big are the VOBs you'll load in your view?
[We say 40 Gb for native client, same for CCRC]

CPU:
1.5 GHz single core / 1GHz dual core

Memory:
3.75 Gb RAM

Network:
"Wireless 802.11g
Wired connectivity 100MB Full Duplex (recommended)"
CCRC is tolerant to continue to function in a WAN (higher round trip times) environment.
  Performance will degrade with slower network, but not nearly as much as for the native client.

**** CCRC 7.0.x

OK, for 7.0.1, all updates

No I.M. of course.
Installed size is 250 MB
Same consideration for view load space.
CPU:
1.5 GHz single core / 1GHz dual core

Memory:
2 Gb RAM

Regards,
Nori

Added 7.1.1.1 details per Fred Bickford. April 14, 2010

(DONE) Completed 7.1.1 updates
  • "CCRC and Eclipse 3.5 support - Please update platform support technote for v7.1.1" -raj Oct 29, 2009
  • Per Fred Bickford Dec 9, 2009
    Can we add a column for ClearCase 7.1.1 server and a client 7.1.1.D091201A underneath it (I only indicated "7.1.1" for the client and not "7.1.1.D091201A" - any reason we need the full name there?)

    Eclipse 3.5 is now supported for 7.1.1.

    we also need to add the following platform support:

    Win 2008 SP2
    SLES 11 (added "Base" for version)
    RHEL 4 update 8 (update 7 is missing - should I add it with the same values as updates 5/6?)
    RHEL 5 update 3 and update 4 (added "Base-Update 2" for clarification which was missing/blank)

backup 7.x table copies (Oct 28, 2009)

Changes made above to both plug-in and rcp tables:
- Added 7.0.1 Client Update 10 (7.0.1.D090928)
- Split out 7.1.0.2 to separate server section
=====
Plug-in
CCRC Plug-In Version 7.0.1 and 7.1.0 (Windows, Linux, UNIX and Mac OSX)
CCRC Server Version
7.1.0
Compatible CCRC Client Version
7.0.1.
D061004
7.0.1.
D070930
7.0.1.
D071219
7.0.1.
D080229
7.0.1.
D080604
7.0.1.
D080813
7.0.1.
D0900225
7.0.1.
D090527
7.0.1.
D090713
7.1.0.0
7.1.0.1
7.1.0.2
Eclipse 3.0.x
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
Eclipse 3.1.x
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
Eclipse 3.2.x
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
(3.2.1 and 3.2.2)
Eclipse 3.3
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
(3.3.0, 3.3.1.1, 3.3.2)
Eclipse 3.4

No
No
No
No
No
Yes[1]
Yes[1]
Yes[1]
Yes[1]
Yes[1]
Yes
Yes
Yes
Eclipse 3.5

No
No
No
No
No
No
No
No
No
Yes
No
No
No
JVM
IBM 1.4.2 with all Eclipse versions
IBM 5.0 with Eclipse 3.1.x, 3.2.x and 3.3.x
Sun Java 1.5
Java 1.6 (7.0.1.D0801120 and Later)
IBM Java 1.5 & 1.6
Sun Java 1.5 & 1.6
Hardware
OS
Revision


x86-32
Windows 2000 ProfessionalSP4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
WinXP ProfessionalSP1, SP2, SP3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes(SP2&3)
Yes(SP2&3)
Yes(SP2&3)

SP4









Yes
Yes
Yes
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
R2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SP2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Windows Vista
Business, Enterprise & Ultimate Edition
Initial
Yes
Eclipse 3.2.2 & JVM 1.4.2 SR7 and later
No
No
No
SP1









Yes
Yes
Yes
Longhorn
No
No
No
No
No
No
No
No
No
No
No
No
No
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2
Update 3
Update 4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 5
Update 6
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)

No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SUSE Linux Enterprise Server 8 (Motif & GTK)
No
No
No
No
No
No
No
No
No
No
No
No
No
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
SP1
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Ubuntu 8.04 LTS Desktop

Yes [3]
Eclipse 3.3 or 3.4
Solaris 10 (GTK)
Yes
Eclipse 3.2 Only
Yes
Eclipse 3.3 or later

AppleMac OSX 10.4 (Tiger)
Yes
Eclipse 3.3 or later
Mac OSX 10.5 (Leopard)
Yes
Eclipse 3.3 or later
x86-64
Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.3 or later



Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.3 or later
Linux RHEL5

Yes
Eclipse 3.3 or later
Ubuntu 8.04 LTS Desktop

Yes [3]
Eclipse 3.3 or 3.4
Solaris 10 (GTK)
- CCRC will run under 32 bit emulation mode

Yes
Eclipse 3.2 and later only
Yes
Eclipse 3.3 or later
SPARC
Solaris 8 (Motif)
Eclipse 3.0.x & 3.1.x only
No [2]
No [2]
No [2]
Solaris 9 (Motif)
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
Solaris 10
(GTK)

Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
PA-RISC
HP-UX 11i v1 (11.11) (Motif)
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
HP-UX 11i v2 (11.23) (Motif)
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Eclipse 3.2 only
HP-UX 11i v3 (11.31) (Motif)
No
No
No
No
No
No
No
No
No
No
Yes
Eclipse 3.23 only
Itanium
Itanium 2
HP-UX 11i v2 (11.23) (Motif)
Yes
Eclipse 3.2 and later only
Yes
Eclipse 3.4 only
HP-UX 11i v3 (11.31) (Motif)
No
Yes
Eclipse 3.3 only
Yes
Eclipse 3.4 only
pSeries
iSeries
AIX 5L 5.2ML5 or greater
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
AIX 5L 5.3ML1 or greater
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
Yes
Yes
AIX 5L 5.4
No
No
No
No
No
No
No
No
No
No
No
No
No
AIX 5L 6.1
No
No
No
No
No
No
No
No
No
No
No
Yes
Yes
















RCP
CCRC RCP version 7.0.1 and 7.1.0 (Windows, Linux & UNIX)

CCRC Server Version
7.0.1
7.1.0
Compatible CCRC Client Version
7.0.1.
D061004
7.0.1.
D090527
7.0.1.
D071219
7.0.1.
D080229
7.0.1.
D080604
7.0.1. D080813
7.0.1.
D081120
7.0.1.
D0900225
7.0.1.
D090527
7.0.1.
D090713
7.1.0.0
7.1.0.1
7.1.0.2
IBM JVM Version that is supplied to clients by installing from CCRC servers
J2RE 1.4.2 IBM J9 2.2 w/ SR7
J2RE 1.5.0 IBM J9 2.3
Eclipse Versions for clients installed with CCRC
Eclipse 3.2.2.M20070119
Eclipse 3.3.1.R33x_r20070802
Hardware
OS
Revision


x86-32
Windows 2000 ProfessionalSP4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
WinXP ProfessionalSP1, SP2,
SP3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes(SP2 & SP3)
Yes(SP2 & SP3)
Yes(SP2 & SP3)
Windows Server 2003
Enterprise, Standard, Web Edition
Initial, SP1
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
R2
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SP2
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Windows Vista
Business, Enterprise & Ultimate Edition
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes (SP1)
Yes (SP1)
Yes (SP1)
Longhorn
No
No
No
No
No
No
No
No
No
No
No
No
No
Red Hat Enterprise Linux AS, ES, WS 3.0
Red Hat Desktop 3.0 (Motif & GTK)

Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
No
No
No
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 2
Update 3
Update 4
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Red Hat Enterprise Linux AS, ES, WS 4.0
Red Hat Desktop 4.0 (Motif & GTK)
Update 5
Update 6
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Red Hat Enterprise Linux AS, ES, WS 5.0
Red Hat Desktop 5.0 (Motif & GTK)

No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SUSE Linux Enterprise Server 8 (Motif & GTK)
No
No
No
No
No
No
No
No
No
No
No
No
No
SUSE Linux Enterprise Server 9
Novell Linux Desktop 9 (Motif & GTK)
SP 2
SP 3
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
Initial
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10 (Motif & GTK)
SP1
No
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
Yes
x86-64
Windows (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
No
No
No
No
No
No
No
No
No
No
No
No
Linux (any version above in 64 bit)
- CCRC will run under 32 bit emulation mode

No
No
No
No
No
No
No
No
No
No
No
No
No
SPARCSolaris 9
No
No
No
No
No
No
No
No
No
No
Yes
Yes
Yes
Solaris 10
No
No
No
No
No
No
No
No
No
No
Yes
Yes
Yes
iSeries
pSeries
AIX 5L 5.3ML1 or greater
No
No
No
No
No
No
No
No
No
No
Yes
Yes
Yes
AIX 5L 6.1
No
No
No
No
No
No
No
No
No
No
Yes
Yes
Yes



The CC7.1.1 platforms doc has an incorrect statement about CCRC and 64-bit support. Fred has submitted a comment to change it in the internal info ctr :
http://coltrane.raleigh.ibm.com/cc71/index.jsp?topic=/com.ibm.rational.clearcase.platforms.doc/topics/r_win_win64.htm

==================================================================================================
(DONE -Aug 11, 2009)

The following updates to the RCP have been updated per the following:

Hi Denise,


With respect to the CCRC Standalone Client (RCP):

There are two versions of 7.1.0.0:
November (7.1.0.0 D081110) - supported the reference platforms Windows, Linux x86, and Solaris Sparc
February (7.1.0.0 xxx) - supported the above reference platforms plus AIX. (I don't know what xxx is)
I have no idea how this was explained to customers.

What I would suggest is for the column headings for 7.1, leave off the baseline -- so we just have 7.1 and 7.1.0.01.

For 7.0.1, the baseline was important to state because it was part of the CCRC version number, but this is no longer the case for 7.1.

Your draft tries to be too specific, and is thus incorrect because D081110 did not support AIX.

Also, the CCRC Standalone Client on Solaris Sparc runs using GTK only -- no Motif.

Thanks,
Don Warren
=================================================================================
(DONE)
Need to add Solaris SPARC and AIX to the list of RCP clients that shipped with 7.1. Currently, this doc says "Windows and LInux" in the heading to the RCP section, which should also be changed.
You may want to have Don Warren added as a reviewer.
Thanks,
Rob,
May 14, 2009

[{"Product":{"code":"SSSH27","label":"Rational ClearCase"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"Integration: Eclipse plug-in","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF010","label":"HP-UX"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"},{"code":"PF022","label":"OS X"}],"Version":"7.0;7.0.0.1;7.0.1;7.1;7.1.0.1;7.1.0.2;7.1.1;7.1.1.1;7.1.1.2;7.1.1.3;7.1.1.4;7.1.1.5;7.1.1.6;7.1.1.7;7.1.1.8;7.1.1.9;7.1.2;7.1.2.1;7.1.2.10;7.1.2.11;7.1.2.2;7.1.2.3;7.1.2.4;7.1.2.5;7.1.2.6;7.1.2.7;7.1.2.8;7.1.2.9","Edition":""},{"Product":{"code":"SSSH27","label":"Rational ClearCase"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"ClearCase Remote Client","Platform":[{"code":"","label":""}],"Version":"","Edition":""},{"Product":{"code":"SSSH27","label":"Rational ClearCase"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"ClearCase Remote Client","Platform":[{"code":"","label":""}],"Version":"","Edition":""},{"Product":{"code":"SSRTLW","label":"Rational Application Developer for WebSphere Software"},"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Component":"ClearCase Integration","Platform":[{"code":"","label":""}],"Version":"","Edition":""}]

Document Information

Modified date:
16 June 2018

UID

swg21224586